// Read the INI-style configuration file
package main

import (
	"gopkg.in/ini.v1"
)

func readConf(file string) error {        
	cfg, err := ini.Load(file)
	if err != nil {
		return err					        
	}

	conf.group = cfg.Section("mai").Key("group").String()
	conf.listen = cfg.Section("http").Key("listen").String()
	conf.requests, _ = cfg.Section("http").Key("requests").Int()
	conf.static = cfg.Section("paths").Key("static").String()
	conf.templates = cfg.Section("paths").Key("templates").String()
	conf.user = cfg.Section("mai").Key("user").String()
	return nil
}

